--- title: "Data Fields - Variables" layout: default permalink: /functions_vars.html ---

Dr. Memory

### - a -

- access_address : _drfuzz_fault_t
- analyze_unknown_syscalls : _drsys_options_t
- app_base : _umbra_shadow_memory_info_t
- app_memory_create_cb : _umbra_map_options_t
- app_memory_mremap_cb : _umbra_map_options_t
- app_memory_post_delete_cb : _umbra_map_options_t
- app_memory_pre_delete_cb : _umbra_map_options_t
- app_size : _umbra_shadow_memory_info_t
- arg_name : _drsys_arg_t

### - c -

- containing_type : _drsys_arg_t

### - d -

- default_value : _umbra_map_options_t
- default_value_size : _umbra_map_options_t
- drcontext : _drsys_arg_t

### - e -

- enum_name : _drsys_arg_t

### - f -

- fault_code : _drfuzz_fault_t
- fault_count : _drfuzz_fault_thread_state_t
- fault_pc : _drfuzz_fault_t
- faults : _drfuzz_fault_thread_state_t
- faults_observed : _drfuzz_fault_thread_state_t
- flags : _umbra_map_options_t

### - i -

- is_byte_addressable : _drsys_options_t
- is_byte_defined : _drsys_options_t
- is_byte_undefined : _drsys_options_t
- is_register_defined : _drsys_options_t

### - l -

- lookup_internal_symbol : _drsys_options_t

### - m -

- mc : _drsys_arg_t
- mode : _drsys_arg_t

### - n -

- number : _drsys_sysnum_t

### - o -

- ordinal : _drsys_arg_t

### - p -

- pre : _drsys_arg_t

### - r -

- reg : _drsys_arg_t

### - s -

- scale : _umbra_map_options_t
- secondary : _drsys_sysnum_t
- shadow_base : _umbra_shadow_memory_info_t
- shadow_size : _umbra_shadow_memory_info_t
- shadow_type : _umbra_shadow_memory_info_t
- size : _drsys_arg_t
- skip_internal_tables : _drsys_options_t
- start_addr : _drsys_arg_t
- struct_size : _drsys_options_t , _umbra_map_options_t , _umbra_shadow_memory_info_t
- syscall : _drsys_arg_t
- syscall_driver : _drsys_options_t
- syscall_dword_granularity : _drsys_options_t
- syscall_sentinels : _drsys_options_t
- sysnum : _drsys_arg_t
- sysnum_file : _drsys_options_t

### - t -

- targets : _drfuzz_fault_thread_state_t
- thread_count : _drfuzz_crash_state_t
- thread_id : _drfuzz_fault_t , _drfuzz_fault_thread_state_t
- thread_states : _drfuzz_crash_state_t
- type : _drsys_arg_t
- type_name : _drsys_arg_t

### - u -

- user_data : _drfuzz_fault_t

### - v -

- valid : _drsys_arg_t
- value : _drsys_arg_t
- value64 : _drsys_arg_t
- verify_sysnums : _drsys_options_t